launcher does not show minimized update manager while clicked

Bug #1003950 reported by Bass_DR on 2012-05-24
560
This bug affects 174 people
Affects Status Importance Assigned to Milestone
Compiz
Undecided
Unassigned
Nouveau Xorg driver
New
Undecided
Unassigned
Unity
Fix Released
Medium
Andrea Azzarone
5.0
Fix Released
Medium
Unassigned
6.0
Fix Released
Medium
Unassigned
Xenial Backports
Undecided
Unassigned
binary-driver-fglrx (Ubuntu)
Undecided
Unassigned
Nominated for Trusty by Cas
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
intel-linux-graphics-installer (Ubuntu)
Undecided
Unassigned
Nominated for Trusty by Cas
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
unity (Ubuntu)
Medium
Andrea Azzarone
Nominated for Trusty by Cas
Precise
Medium
Unassigned
Quantal
Medium
Unassigned
update-manager (Ubuntu)
Undecided
Unassigned
Nominated for Trusty by Cas
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
xserver-xorg-video-nouveau (Ubuntu)
Undecided
Unassigned
Nominated for Trusty by Cas
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

Found an easy way to reproduce it during brussels sprint:
1. start deja-dup or update-manager
2. kill -9 compiz; metacity
3. compiz --replace

===============

Update manager is showing up in the dock but I can click on the icon all day and nothing happens. Similarly if I do Super-S or Super-W it doesn't show up anywhere.

Even if I alt-tab to the application nothing shows up. This happens only when update manager runs on its own. If I kill it and then launch it myself it comes to the foreground just fine.

I'm not 100% sure whether this is a unity, compiz, or update-manager bug but so far my bet is on unity.

=====Original Report=====
Bug #877444 is showing again in latest updates, please re-open it. This is the exact same problem.

Tags: ui Edit Tag help

Related branches

Omer Akram (om26er) wrote :

update manager icon appeared for me in the launcher automatically yesterday, I clicked it and update manager appeared, hence the issue does not exist for everyone. This could have been a one time issue for you and not something that's 100% reproduce able. Can you test again and let us know if the issue happens for you again as well.

PS: that's really not a helpful way to report bugs. Steps to reproduce the issue are really important not giving the link to other report.

Changed in unity:
status: New → Incomplete
Omer Akram (om26er) wrote :

the bug is confirmed since there is a duplicate report for it. I personally have not been able to reproduce the problem on my end though.

description: updated
Changed in unity:
importance: Undecided → Medium
Changed in unity (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in unity:
status: Incomplete → Confirmed
Omer Akram (om26er) on 2012-06-15
Changed in unity:
milestone: none → 5.14.0
Changed in unity (Ubuntu Precise):
status: New → Confirmed
importance: Undecided → Medium

This affects me too. When running Update Manager manually, icon works normally. When Update Manager auto-updates, it does not respond to left-click to open Update Manager.

System76 Serp7 w/ Ubuntu 12.04 64-bit

To further refine the icon's behavior, when Update Manager auto-updates the icon is unresponsive to left-clicks while updates are downloading and thereafter. If I do not download the updates and shut the computer down, the next time that the Update Manager icon appears on its own in the taskbar it behaves properly. Note that Update Manager has 2 types of icon; one icon denotes that there are no updates available. The other icon shows the number of updates available and a progress bar that indicates downloading progress. The issue is with the second icon's behavior (shows number of updates available).

S Barnes (ironictoo) wrote :

I have had this problem for a while now (12.04 and 11.10, I can't remember if it happened before that) it has always been for the update manager, and happened nearly every time it pops up with auto updates to be installed. Strangely I just had a similar thing happen to one of my terminal window. Not sure how or why (it may be unrelated), but just thought I would throw it out there.

For the last 2 auto-update instances showing the Update Manager icon, the icon has behaved correctly. Left-clicking on the Updates Available icon resulted in Update Manager opening and being able to download and install updates. There have been a few updates to Precise in the last couple of weeks; perhaps that had something to do with it.

If this situation remains stable, it will resolve this bug for me.

Changed in unity:
milestone: 5.14.0 → 5.16.0
Dave Efflandt (efflandt) wrote :

Apparently this has been an issue for some people for awhile.

It happened for me in 64-bit 11.10, but in that case I could simply switch to a different workspace and could then open it on the desktop, so I did not do anything about it. Video was nvidia-current from x-swat ppa.

But in 64-bit 12.04 the auto Update Manager icon in Unity remains minimized and I cannot open it on the desktop at all. I have to quit it and open it from Dash (then it works). Video is regular nvidia-current

Dave Efflandt (efflandt) wrote :

Correction: A recent update seems to have fixed it for me in 64-bit 12.04. For the first time today I was able to left click on the automatic Update Manager icon in Unity and it opened on the desktop. So I am no longer affected by this bug.

Doug Konrad (w-koxrad-z) wrote :

This may be a dup of Bug #989588.

I've had this issue for a while. The update manager window never comes up, whether I right-click on the icon and select "Update Manager", or if I run "update-manager" from a shell prompt. However, if I select "Check for Updates" or "Install all Available Updates" from that right-click menu, the progress dialog does come up showing what it's doing. If I select "Check for Updates" and it finds updates, when it finishes it updates the icon to reflect the number of available updates.

I don't know if it's relevant, but this is what I see in ~/.xsession-errors:

(evolution-alarm-notify:1980): evolution-alarm-notify-WARNING **: alarm.c:260: Requested removal of nonexistent alarm! compiz (decor) - Warn: failed to bind pixmap to texture debconf: DbDriver "passwords" warning: could not open /var/cache/debconf/passwords.dat: Permission denied

Hmm, there was an update yesterday that required a restart, and I noticed this morning that the update manager is behaving normally now. I've restarted several times since I saw this first appear, and it didn't fix the problem, so it seems like it was the update. I didn't take note of what was updated.

Same here, I have no idea what update solves the bug, but update manager
seems to work correctly now...

2012/8/15 David M. Karr <email address hidden>

> Hmm, there was an update yesterday that required a restart, and I
> noticed this morning that the update manager is behaving normally now.
> I've restarted several times since I saw this first appear, and it
> didn't fix the problem, so it seems like it was the update. I didn't
> take note of what was updated.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1003950
>
> Title:
> launcher does not show minimized update manager while clicked
>
> Status in Unity:
> Confirmed
> Status in “unity” package in Ubuntu:
> Confirmed
> Status in “unity” source package in Precise:
> Confirmed
> Status in “unity” source package in Quantal:
> Confirmed
>
> Bug description:
> Update manager is showing up in the dock but I can click on the icon
> all day and nothing happens. Similarly if I do Super-S or Super-W it
> doesn't show up anywhere.
>
> Even if I alt-tab to the application nothing shows up. This happens
> only when update manager runs on its own. If I kill it and then launch
> it myself it comes to the foreground just fine.
>
> I'm not 100% sure whether this is a unity, compiz, or update-manager
> bug but so far my bet is on unity.
>
> =====Original Report=====
> Bug #877444 is showing again in latest updates, please re-open it. This
> is the exact same problem.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1003950/+subscriptions
>
>

Omer Akram (om26er) wrote :

Now this is interesting, everyone in this bug report: did you see this issue after the updates of unity a few days ago?

Bass_DR (bass-dr) wrote :

Interesting but confusing! We will have to wait for it to show again, since we have no way to reproduce the bug by hand. I can't say for sure by now (for newest unity version).

Arthur Tan (artgtan) wrote :

I pinned my update manager icon onto the launcher. I'm able to click and right-click on the update manager icon and bring it up without problems now. I'm using Ubuntu 12.04, Unity 5.14.

Omer Akram (om26er) wrote :

We should wait a while and see if the issue gets back for anyone else.

S Barnes (ironictoo) wrote :

For the last two or so updates it worked for me, this morning it is back to not working again. Bug not fixed.

Bass_DR (bass-dr) wrote :

Not fixed.

Dean Henrichsmeyer (dean) wrote :

Agreed, it just happened to me again this morning.

iGEL (igel) wrote :

I'm affected, too. After terminating the update-manager and starting it manually, the window showed up, but no icon in the launcher. I also couldn't switch to the update-manager via alt+tab. The only way to get back to the update-manager was to minimize all other windows.

wavesailor (wavesailor) wrote :

This affects me too. When running Update Manager manually, icon works normally. When Update Manager auto-updates, it does not respond to left-click to open Update Manager. I then have to terminate update-manager and restart it manually.

Ubuntu 12.04 64-bit

Kalle Pokki (kalle-pokki) wrote :

Affects me too. Updated from way back to 12.04.1 32-bit. Each time Update Manager appears automatically in the dock, I'm unable to bring up its main window. Options available by right clicking the icon do work.

Neil J. Patel (njpatel) wrote :

Hi, it seems either the Launcher or BAMF gets confused so I've asked Marco to take a look and see if we can figure it out before the next upload for Quantal.

Changed in unity:
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)

Unfortunately I can't reproduce this problem here...

Do you get this also when running update manager with "update-manager --no-focus-on-map"?

Also, when this happens, according to what I've read here it seems that also compiz is not seeing this window (in fact it won't show in Super+W).

Anyone could please write what this command gives you out when the bug happens?
gdbus call --session --dest org.ayatana.bamf --object-path /org/ayatana/bamf/application739967866 --method org.ayatana.bamf.application.Xids

Plus, if this command gives you a xid (unit32 value), could you please give me the outputs for:
xprop -id <xid>
xwininfo -id <xid>

PS: This script should roughly do the same as above:

xid=$(gdbus call --session --dest org.ayatana.bamf --object-path /org/ayatana/bamf/application739967866 --method org.ayatana.bamf.application.Xids | sed "s/(\[uint32 \([0-9]*\)\].*/\1/"); xprop -id $xid; xwininfo -id $xid

Changed in unity:
status: Confirmed → Triaged
Bass_DR (bass-dr) wrote :

Hi, thanks for your help on this.

The gdbus call you wrote gave an error : GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: L'interface « org.ayatana.bamf.application » n'existe pas pour l'objet à l'emplacement /org/ayatana/bamf/application
Sorry for french, this means : Interface ... does not exists for object at ...

I do not understand exactly what is wrong, but I tryed gdbus call with some other parameters for --object-path, see attached file.
I used auto-completion to fill missing --object-path

Bass_DR (bass-dr) wrote :

I tryied closing and re-opening network manager and then it shows in gdbus, see attached.

By the way, I am not sure this is related but the right click menu now appears BEHIND any other window, I still can use it but I have to move all other windows out of the way. This is not only true when update manager bug is showing though.

After yesterday's updates, this bug reappeared for me in Precise 64-bit. It stopped affecting me for quite a while, but is back now. The only way I could get today's updates was to restart and log into a different desktop (Gnome).

Update manager was completely unresponsive in Unity. The Launcher icon would display a right-click menu but left-clicking an option in the menu brought no response. Left-clicking the icon also would not display Update Manager. I could find and select Update Manager in Dash, but left-clicking to select Update Manager brought no response. Perhaps unrelated, but the Menu Bar displayed 'Software Up to Date' while the Update Manager Launcher icon displayed 41 updates available.

@Bass_DR: when you ran the fist time the gdbus call command, was the UpdateManager icon showing in the panel?

Glenn, mh, according to that it looks like that the problem is related to unity not closing the update-manager icon even if the program is not really running.

Bass_DR (bass-dr) wrote :

@Marco: yes, when I ran first command, Network Manager is in the unity panel, it can't be left-clicked but right click works, I can close it this way. I don't have to log in as another user though, closing it and re-opening it solves the problem.

I confirm the issue about the menu bar displaying "Software Up to date".

I will try with the ps command next time, I am about sure the program IS running, but cannot be displayed for a reason or another... I am quite sure I can kill it from command line too, and it would have the same effect as closing it from right-click menu.

Bass_DR (bass-dr) wrote :

@Marco: correction, Update Manager, not related with network at all

JasonSpradlin82 (jaspradlin) wrote :

I have this same issue. Killing the application and trying again resolves the problem.

Changed in unity:
milestone: 5.16.0 → 5.18.0
Changed in unity:
milestone: 5.18.0 → 7.0.0
Bass_DR (bass-dr) wrote :

The problem showed again today and I tried to launch unity from command line to see errors, clicking update manager gives the described error.

Stephen M. Webb (bregma) on 2012-11-25
Changed in unity (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
David Tombs (dgtombs) wrote :

I also get an Error when trying to run the 'gdbus call' command when the issue appears:

david@fueron:~$ gdbus call --session --dest org.ayatana.bamf --object-path /org/ayatana/bamf/application739967866 --method org.ayatana.bamf.application.Xids
Error: GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: No such interface `org.ayatana.bamf.application' on object at path /org/ayatana/bamf/application739967866
david@fueron:~$ gdbus introspect --session --dest org.ayatana.bamf --object-path /org/ayatana/bamf/application739967866
node /org/ayatana/bamf/application739967866 {
};

However, I couldn't even get the gdbus call to work when update-manager was showing properly so perhaps the command is incorrect?

Noam (noam-halevy) wrote :

I have 2 machines runnning 12.04:
1. Lenovo laptop with intel graphics - no problems
2. Desktop with AMD HD7700 - I have this problem all the time, update manager stays minimized on the unity launcher.

The only way to clear it is to right click->quit and then start update manager from the dash

Karma Dorje (taaroa) wrote :

This affects me too after yesterday's updates.

$ lsb_release -rd
Description: Ubuntu Raring Ringtail (development branch)
Release: 13.04

$ unity --version
unity 6.6.0

Andrea Azzarone (azzar1) on 2012-12-13
Changed in unity:
assignee: Marco Trevisan (Treviño) (3v1n0) → Andrea Azzarone (andyrock)
Changed in unity (Ubuntu):
assignee: Marco Trevisan (Treviño) (3v1n0) → Andrea Azzarone (andyrock)
Changed in unity:
status: Triaged → In Progress
Changed in unity (Ubuntu):
status: Confirmed → In Progress
Changed in unity:
status: In Progress → Fix Committed
Andrea Azzarone (azzar1) on 2013-01-09
Changed in unity (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package unity - 6.12.0daily13.01.11.2-0ubuntu1

---------------
unity (6.12.0daily13.01.11.2-0ubuntu1) raring; urgency=low

  [ Didier Roche ]
  * debian/control:
    - bump some missed build-deps
    - bump compiz and nux build-deps for the API and ABI breakages
      (LP: #1095981)
  * debian/rules:
    - disable pch for now as it's not working with -g -02 (LP: #1095978)

  [ Brandon Schaefer ]
  * Ported Compiz to 0.9.9
  * debian/control:
    - bump the build-deps
  * Dash and HUD do not have X event focus, causing XIM to not work.
    (LP: #1086988)
  * Windows losing focus after the start/restart of Unity (LP: #1097368)

  [ Łukasz 'sil2100' Zemczak ]
  * Dash - Update Dash nav bar icons (LP: #1089373)
  * Autopilot tests failing in the test_hud suite due to locale
    dependency (LP: #1076531)
  * Super key not registered if held too long (LP: #1097189)
  * Unity HUD uses wrong icon when switching from the Dash to HUD (LP:
    #1089482)

  [ Marco Trevisan (Treviño) ]
  * Using bleeding edge Mesa drivers causes GL_INVALID_OPERATION error
    in glDrawBuffer / glReadBuffer (LP: #1092550)
  * [Regression] Window buttons / Title doesn't redraw correctly on
    windows with no menus (LP: #1090439)

  [ Nick Dedekind ]
  * Dash - When the Dash preview is open, the ghost images should run
    all the way to the top of the screen as shown in the design (LP:
    #1060948)
  * Dash - When the Dash preview opens, the category headers should be
    expanded and the filters should hide (LP: #1060937)
  * Dash - In the Dash preview, when a user moves to the next or
    previous preview the highlighted ghost image should change (LP:
    #1060941)
  * Dash - As soon as a user starts dragging a .png file from the Dash,
    the file icon changes size (LP: #863412)

  [ Gord Allott <email address hidden>, Łukasz 'sil2100' Zemczak <email address hidden>, Didier Roche ]
  * "unitydashlegalseen" Causing back-up error (LP: #1066646)
  * unity dash should show legal disclaimer (LP: #1065652)

  [ Manuel de la Pena ]
  * StaticCairoText makes NUX get into an infinte loop (LP: #1071327)

  [ Daniel van Vugt ]
  * Minimized windows don't restore, or restore as blank (LP: #1089779)

  [ Andrea Azzarone ]
  * TestOverlayScrollBar.TestScrollDownSignal segfaults (LP: #1089888)
  * Dash - Update Dash Launcher icon tooltip to say "Search your
    computer and online sources" (LP: #1090325)
  * TestLauncherController.GetLastIconPriorityUnStickyWithNoIconsAndUri
    segfaults (LP: #1089894)
  * TestDashController.TestShowAndHideDash fails (LP: #1089904)
  * [Regression] Tapping super key shows shortcuts overlay. (LP:
    #1090388)
  * [Regression] Unity fails to restore initially minimized windows.
    (LP: #1097686)
  * launcher does not show minimized update manager while clicked (LP:
    #1003950)
  * Dash - Update Dash Home search box hint message to say "Search your
    computer and online sources" (LP: #1090327)
  * can't quit a minimized application (LP: #1086366)
  * Unity daily-build (07.01.13) empty space between launcher and dash
    in non default launcher size (LP: #1097184)

  [ Sam Spilsbury ]
  * Fonts get chang...

Read more...

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
Martin G Miller (mgmiller) wrote :

As of today, March 26, 2013, this bug still affects me. 64 bit 12.04 with nvidia graphics. All of my unity packages are 5.12.x or a few that are 5.18.x. When will the 6.12 version be released to normal updates?

Stephen M. Webb (bregma) on 2013-04-04
Changed in unity:
status: Fix Committed → Fix Released
Viper474 (viper474) wrote :

I still have this issue in Unity. Latest version of 5.18.0-0ubuntu2. I'm on Ubuntu 12.04 LTS 64-bit (3.2.0-40-generic kernel). AMD graphics if it makes any difference. It will not open when clicked if the available updates are retreived on its own. Can always be opened through the dash or updates run through commandline instead. Please fix, or if the fix is produced like has been said, please push the update out.

David Tombs (dgtombs) wrote :

Note that the "Fix Released" status means it has been fixed in the latest version of Unity, which 12.04 does not contain. It is probably still not fixed in 12.04 and would need a "Stable Release Update" to do so.

AMDave (amd-ave) wrote :

"Software Updater" same issue has appeared again in Unity 7.0.0

$ unity --version
unity 7.0.0
$ uname -a
Linux dn09 3.8.0-26-generic #38-Ubuntu SMP Mon Jun 17 21:43:33 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

I arrived at this bug thread via
http://askubuntu.com/questions/305069/software-updater-window-not-displaying-though-open-in-13-04
http://en.wikipedia.org/wiki/Software_Updater
and
https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1001067
which shows as duplicate of this bug.

I have a common property that the askubuntu members had - dual screen.
Not sure why that may be an issue, but mentioned as it is common to their descriptions.

Also note that contrary to the others, I never experienced this issue in Unity 5.x or 6.x

For me, the issue is worthy of observation, but I use the command line for updates and upgrades so it's not really a problem for me.
It'd be nice to see the issue fixed in 7.0.0 though.
Regression errors can be tricky.

David Tombs (dgtombs) wrote :

Hi AMDave, I used to encounter this issue and it's still fixed for me on Unity 7.0.0. Maybe the issue you and others are experiencing has a different cause, so please file a separate bug rerpot with `ubuntu-bug unity`.

AMDave (amd-ave) wrote :

It got a little bit more complicated.
After a minor patch update, it started working.
Then after another minor patch update, it stopped working again.
Software Updater was not in the 2nd patch update.
This indicated to me that it is one of the other packages that is causing an incompatibility with the Software Updater.
Given that
1 - I use the command line anyway, and
2 - I haven't tracked down which dependent package is causing the issue,
3 - there is not a lot of noise about other people having the problem
4 - the problem has been re-occurring for a very long time (see history of this bug)

I will not be raising another bug + I don't think this one is fixed + I have very low confidence that it will get fixed.

Thanks for the suggestion though,

Eric Li (ericli1978) wrote :

I am seeing this bug on Ubuntu 13.10. This was upgraded from 13.04, on an acer laptop with intel 945GM graphics. This bug has been present over several upgrades of Ubuntu/Unity already.

Dean Henrichsmeyer (dean) wrote :

It's remained broken here as well through-out the 13.10 cycle. Here it's fglrx.

Marcello Nuccio (marcenuc) wrote :

In response to comment #42:

   there is not a lot of noise about other people having the problem

I've seen this bug on all Ubuntu installations I've used in the last two years (at least 10 computers). The problem is that it's hard to search for this bug on launchpad. Today I've spent one full hour and I've found 6 duplicates. I've marked them as duplicates of bug #925260
https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/925260

David Tombs (dgtombs) wrote :

All, Unity 7.0.0 resolved this specific bug so if you are still experiencing it, it probably has a different cause. Please file a separate bug report with `ubuntu-bug unity` or assume it is bug 925260 as Marcello suggested.

Burko (rs205) wrote :

I still have this Bug in 13.10 with stock Unity. Even if I pin the app to the sidebar, I cannot open it. Updates per Kontexmenu are possible, though.

John Kim (kotux) on 2014-02-16
Changed in unity (Ubuntu Precise):
status: Confirmed → Fix Released
Changed in unity (Ubuntu Quantal):
status: Confirmed → Fix Released
Frederic Defoy (fdefoy) wrote :

I am also having the problem right now in Ubuntu 14.04

I also experience a similar issue with other windows disapearing from the screens AND the launcher after I minimize them. It may be another problem not sure... I confirm it happened with Chrome and terminal windows from Remmina.

This is exactly the kind of crap killing linux. How can you expect ppl to switch over from other OSes when they have to deal with this kind of issues? This is BASIC stuff, it needs to work flawlessly. You can just have programs and windows magicly disappear like that.

Too many distros not enough time makes linux a poor os.

Rudolf (rk-com) wrote :

Same here with Ubuntu 14.04.

Can confirm, exact the same problem on Ubuntu 14.04 running Unity 7.2.1.

Cas (calumlind) wrote :

I upgraded from 12.04 to 14.04 and found this issue has never been resolved.

Marking it as fix released for the Unity fixes is fine but that does not resolve the core issue of this bug ticket, namely the updated will not show up. Redirecting to other bug tickets is not the solution so I have added the update-manager package and marked #925260 as a duplicate of this one.

Cas (calumlind) on 2014-08-13
Changed in update-manager (Ubuntu):
status: New → Confirmed
Changed in update-manager (Ubuntu Precise):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in update-manager (Ubuntu Quantal):
status: New → Confirmed
Naftoli Gugenheim (naftoligug) wrote :

I'm having this issue on 14.04. Here's a workaround:

```
sudo apt-get install wmctrl # if necessary
wmctrl -R 'Software Updater'
```

```
wmctrl --help | grep -A1 ' -R'
  -R <WIN> Move the window to the current desktop and
                       activate it.
```

Here's the window's previous geometry:

```
xwininfo -name 'Software Updater'
xwininfo: Window id: 0xa400008 "Software Updater"
  Absolute upper-left X: 760
  Absolute upper-left Y: 494
  Relative upper-left X: 760
  Relative upper-left Y: 494
  Width: 399
  Height: 115
  Depth: 24
  Visual: 0x20
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x22 (installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsUnMapped
  Override Redirect State: no
  Corners: +760+494 -2441+494 -2441-592 +760-592
  -geometry 399x115+760+494
```

```
 xrandr
Screen 0: minimum 320 x 200, current 3600 x 1201, maximum 32767 x 32767
eDP1 connected primary 1920x1080+1680+121 (normal left inverted right x axis y axis) 344mm x 194mm
   1920x1080 60.0*+ 59.9
   1680x1050 60.0 59.9
   1600x1024 60.2
   1400x1050 60.0
   1280x1024 60.0
   1440x900 59.9
   1280x960 60.0
   1360x768 59.8 60.0
   1152x864 60.0
   1024x768 60.0
   800x600 60.3 56.2
   640x480 59.9
VGA1 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 478mm x 269mm
   1600x1200 60.0
   1680x1050 60.0*
   1400x1050 60.0
   1280x1024 75.0 60.0
   1440x900 75.0 59.9
   1280x960 60.0
   1152x864 75.0
   1024x768 75.1 70.1 60.0
   832x624 74.6
   800x600 72.2 75.0 60.3 56.2
   640x480 75.0 72.8 66.7 60.0
   720x400 70.1
DP1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
DP2 disconnected (normal left inverted right x axis y axis)
HDMI2 disconnected (normal left inverted right x axis y axis)
VIRTUAL1 disconnected (normal left inverted right x axis y axis)
```

Hi. I also see this problem frequently--probably every time that updates are available. I'm here because I saw it again this morning.

I leave the computer on overnight (since suspend doesn't work for me in 14.04) and when I arrive at work in the morning, System Update is often running but won't appear. This morning when I clicked it, it switched to another workspace, but no window. Clicked it again, and it switched back to the first workspace, but still no window.

Since 14.04 decided to do away with the "Updates available" in the "gear" menu, I don't even know how to launch system updates. There was a context-menu option on the launcher icon for the updater, which offered to install all available updates. I don't know if that would have worked, because I always review the updates before installing.

I also have two monitors. Both are plugged in and turned on when I see the problem. Of course, at night the monitors are turned off, and that is when the updater usually gets launched. So perhaps it does have something to do with a cable plugged in (one is HDMI, one is DVI) with no attached monitor that is turned on.

What's worse is I that when I hit Win-R to launch the "run" menu and type "software updater", it happily lists it as an option (but only with the "gears" icon) and when I click it nothing happens. How is it that it's not accessible via the "run" menu? I actually came across this bug today because I couldn't figure out how to run the thing manually. I can do "apt-get upgrade" from the command line and have some idea of what's being installed, but not with the detail that the software updater provides.

14.04 has some nice touches, but I sure miss how solid 12.04 was...

If this is related to having two monitors, this is only one of numerous problems I have with 14.04 and dual monitor support, and that my two monitors are different sizes. 14.04 is simply terrible with dual screens. It seems the further we go to try to support the unified mobile/desktop UI for the casual user, the less useful we get for "power users".

If there's anything I can do to help diagnose this issue, please ask. I'm happy to help but don't have time to dig into any code. That's what I already spend the rest of my life doing.

One other thing--I think Compiz tends to crash every night, because in the morning I find whatever windows I left open scattered around my first workspace. Perhaps this could be reproduced by launching the Software updater and then crashing Compiz? Or running 'compiz --replace'?

Marcello Nuccio (marcenuc) wrote :

Eric Lambart, did you close the app by right clicking on the launcher icon and choosing "Exit" from the menu, before trying to launch it?

To find the app, you have two options:

1. or write "software update" (without the final "r") in the dash (Super key OR Super+A, not Super-R).

2. choose "System details" (I dont know the exact translation, but should be the first menu item) from the "gear" menu in the top right corner. Then click the button in bottom right corner, if updates are available.

About the crashes, it's off topic for this bug, so please report it as a separate bug report. However, since I had similar problems, I can say you that it's probably a problem with the video drivers. Here's a couple of references that helped me to solve them:

http://askubuntu.com/a/507299/11223
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1329689

zebul666 (zebul666) wrote :

I have this problem too. I am running 14.10 but I already had the problem in 14.04
The update manager icon appears in the dash taskbar but clicking the icon never grings up the update manager window.

Plug-in in another screen make appears the window in the second screen.

This bug is not fixed !

zebul666 (zebul666) wrote :

Correction: the update-manager window does NOT appear when I plug in another screen

I just started seeing this after I upgraded to 14.10.

$ lsb_release -rd
Description: Ubuntu 14.10
Release: 14.10

$ unity --version
unity 7.3.1

linsnux (sidtj) wrote :

Very very boring bug!

Wow! Since 24-05-2014??? :/

Description: Ubuntu 14.04.1 LTS
Release: 14.04
unity 7.2.2

John Muir (john-muir) wrote :

This bug appears on my 14.04 twin-screen PC running Unity 7.2.3 and my 14.10 laptop running Unity 7.3.1.
So I don't believe it's anything to do with the number of screens.

Jeb E. (jebeld17) wrote :

A bug is a bug

On Thu, Nov 13, 2014, 3:50 AM John Muir <email address hidden> wrote:

> This bug appears on my 14.04 twin-screen PC running Unity 7.2.3 and my
> 14.10 laptop running Unity 7.3.1.
> So I don't believe it's anything to do with the number of screens.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (925260).
> https://bugs.launchpad.net/bugs/1003950
>
> Title:
> launcher does not show minimized update manager while clicked
>
> Status in Unity:
> Fix Released
> Status in Unity 5.0 series:
> Fix Released
> Status in Unity 6.0 series:
> Fix Released
> Status in “unity” package in Ubuntu:
> Fix Released
> Status in “update-manager” package in Ubuntu:
> Confirmed
> Status in “unity” source package in Precise:
> Fix Released
> Status in “update-manager” source package in Precise:
> Confirmed
> Status in “unity” source package in Quantal:
> Fix Released
> Status in “update-manager” source package in Quantal:
> Confirmed
>
> Bug description:
> Update manager is showing up in the dock but I can click on the icon
> all day and nothing happens. Similarly if I do Super-S or Super-W it
> doesn't show up anywhere.
>
> Even if I alt-tab to the application nothing shows up. This happens
> only when update manager runs on its own. If I kill it and then launch
> it myself it comes to the foreground just fine.
>
> I'm not 100% sure whether this is a unity, compiz, or update-manager
> bug but so far my bet is on unity.
>
> =====Original Report=====
> Bug #877444 is showing again in latest updates, please re-open it. This
> is the exact same problem.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1003950/+subscriptions
>

John Muir (john-muir) wrote :

Such enlightening and helpful comments could only come from someone used to Microsoft software ;-)

Burko (rs205) wrote :

I also still experience this Bug in 14.04. It is interesting how canonical cares about such a severe issue - meaning that they leave it as it does even occur in a LTS release. I wonder why it is not "confirmed" by now for trusty.

And there a reports for it in utopic und some duplicates around. So whats the problem?

Burko (rs205) wrote :

sorry, that is "..leave it as it is. It does even occur...".

David Tombs (dgtombs) wrote :

Honestly, I think this particular bug is fixed. I experienced it, and it has been fixed for a couple versions now.

Perhaps you all are seeing the same symptoms with a different root cause. I suggest opening up a new bug report. Continuing this one will be too confusing since it is resolved for some but not others.

Justin Ossevoort (iq-0) wrote :

I'm experiencing this exact same problem after upgrading to 14.10 from 14.04. Later I did a clean 14.10 install (on a completely new ssd) and that too showed exactly the same problem.

The only things "special" about my setup:
- Full disk encryption
- Btrfs based
- Multiple monitors

I wouldn't expect the first two to have anything to do with this, bu the last one might.

Jeb E. (jebeld17) wrote :

Excuse me?
 On Nov 13, 2014 8:55 AM, "John Muir" <email address hidden> wrote:

> Such enlightening and helpful comments could only come from someone used
> to Microsoft software ;-)
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (925260).
> https://bugs.launchpad.net/bugs/1003950
>
> Title:
> launcher does not show minimized update manager while clicked
>
> Status in Unity:
> Fix Released
> Status in Unity 5.0 series:
> Fix Released
> Status in Unity 6.0 series:
> Fix Released
> Status in “unity” package in Ubuntu:
> Fix Released
> Status in “update-manager” package in Ubuntu:
> Confirmed
> Status in “unity” source package in Precise:
> Fix Released
> Status in “update-manager” source package in Precise:
> Confirmed
> Status in “unity” source package in Quantal:
> Fix Released
> Status in “update-manager” source package in Quantal:
> Confirmed
>
> Bug description:
> Update manager is showing up in the dock but I can click on the icon
> all day and nothing happens. Similarly if I do Super-S or Super-W it
> doesn't show up anywhere.
>
> Even if I alt-tab to the application nothing shows up. This happens
> only when update manager runs on its own. If I kill it and then launch
> it myself it comes to the foreground just fine.
>
> I'm not 100% sure whether this is a unity, compiz, or update-manager
> bug but so far my bet is on unity.
>
> =====Original Report=====
> Bug #877444 is showing again in latest updates, please re-open it. This
> is the exact same problem.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1003950/+subscriptions
>

Linda (elindarie) wrote :

I haven't experienced this bug in a while, but the only similarity in my set up to Justin's is the multiple monitors. My setup was a laptop and external monitor. I might have had them configured to show the dock on both screens, but I've changed it to show only on the left, external monitor screen.

John Muir (john-muir) wrote :

Here is some info from xwininfo before and after the hidden window is corrected by wmctrl, hopefully someone can make use of it:

xwininfo -name 'Software Updater'

xwininfo: Window id: 0x3000008 "Software Updater"

  Absolute upper-left X: 2655
  Absolute upper-left Y: 380
  Relative upper-left X: 2655
  Relative upper-left Y: 380
  Width: 450
  Height: 319
  Depth: 24
  Visual: 0x23
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x20 (installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsUnMapped
  Override Redirect State: no
  Corners: +2655+380 -735+380 -735-381 +2655-381
  -geometry 450x319+2655+380

10:59:27 [me@home] ~
wmctrl -R 'Software Updater'
11:01:28 [me@home] ~
xwininfo -name 'Software Updater'

xwininfo: Window id: 0x3000008 "Software Updater"

  Absolute upper-left X: 1078
  Absolute upper-left Y: 383
  Relative upper-left X: 0
  Relative upper-left Y: 0
  Width: 484
  Height: 116
  Depth: 24
  Visual: 0x23
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x20 (installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners: +1078+383 -2278+383 -2278-581 +1078-581
  -geometry 484x116+1068+345

john01dav (john01dav) wrote :

When I close and re-open it (after updates have already begun via the right-click menu) a window appears, but there is no body to the window other than a small white line below the title bar.

luca (l-savio) wrote :

I have same bug on xubuntu 14.04 64, with nvidia-current driver.

This is still happening on 14.04. I too have multiple monitors, with the middle one being the main monitor. There have been other programs which can't cope with that, perhaps it has something to do with this problem as well?

It would be quite nice to have it confirmed for trusty. It only shows as "nominated" above. I don't know what that means, but it definitely isn't fixed on 14.04...

Rolf Leggewie (r0lf) wrote :

quantal has seen the end of its life and is no longer receiving any updates. Marking the quantal task for this ticket as "Won't Fix".

Changed in update-manager (Ubuntu Quantal):
status: Confirmed → Won't Fix
Jeff Johnson (jeffjohnson0) wrote :

This seems to happen very regularly to me on 14.04. I also saw it on previous versions. I think the relevant pieces are these: I have a laptop and an external monitor that is always connected. They are not the same size (# of pixels). I typically use two accounts. My regular account that pops up the update manager GUI and a guest session. It seems that when I leave the guest session open and the update manager is started in the other session (not displayed on any screen at the time), that is when I can't click on it to open the update manager GUI.

Jonathan Kamens (jik) wrote :

This is still happening for me in 14.10.

I can't figure out how to nominate it for 14.10 in the settings at the top of the bug.

clickwir (clickwir) wrote :

Me too. :-) Yup, just updated my laptop that's running 14.10. Software Updater is on the side, I can right click on it and tell it to install the updates. It even asks for the password, then installs the updates. But doesn't show a window.

Running it manually works fine.

tags: added: ui
Justin Ossevoort (iq-0) wrote :

I don't understand why this issue is not being picked up. It should probably be considered a security bug, because it prevents people from using the software updates.

I know my way around apt manually, but people that don't will be missing their much needed security updates. And for every person that bother reporting this issue here there are probably dozens that don't and are oblivious of the update problem.

Colan Schwartz (colan) wrote :

If this bug has been "fixed", maybe we should push for bug #989588? That's the only other one that's still open.

Jeb E. (jebeld17) wrote :

This bug has been patched, but not actually "fixed". The bug is ages old and it's time we as a community and the development team lay this issue to rest once and for all with a redesigned mechanism for updating, code and all. It's time we fix the solution to get Ubuntu going smoothly for all rather than patch the tire that gets us a little while down the road.

Attached is a hardinfo report on my machine. My machine, which is also suspect to this issue.

Jeb E. (jebeld17) wrote :

This bug has been patched, but not actually "fixed". The bug is ages old and it's time we as a community and the development team lay this issue to rest once and for all with a redesigned mechanism for updating, code and all. It's time we fix the solution to get Ubuntu going smoothly for all rather than patch the tire that gets us a little while down the road.

Attached is a hardinfo report on my machine. My machine, which is also suspect to this issue.

Burko (rs205) wrote :

And what do you want to do about it? Unless you are the assigned developer for this I don't see how you can change the problem apart from reporting information like everybody else....

Burko (rs205) wrote :

Sorry, I don't want to sound rude. I would really apprechiate if you are really able to change the situation and I am just curious if you are. Also, I am a disillusioned concerning the probability that canonical will finally do something a.bout it. I rather expect it to be fixed once the new unity gets rolled out (along with other improvements) And that semms to take until 2016 :(

Colan Schwartz (colan) wrote :

I somewhat like the idea of tagging this as a security issue. Maybe that'll get more traction.

dess (de55) wrote :

I can confirm following:

* The issue is definitely available in 14.10 Utopic (clean install, not upgrade), seen multiple times already.

* I see this issue for years in different distributions and can surely state that it's appearance tightly connected to the way how update-manager is started. It could appear when it started automatically when updates available and user confirmation set to required, but never when update-manager start manually with any method (Unity launcher, command line, etc.). I suppose (but not sure though), the issue come out with _any_ automated startup of update-manager.

Now trying to figure out where it started to get what's different...

@3v1n0 , comment #24
"update-manager --no-focus-on-map" does not show the issue, window appears as it should.

Jeff Johnson (jeffjohnson0) wrote :

I found a way to duplicate this issue.

Run the following script in a terminal:
    #!/bin/sh
    sleep 10
    update-manager --no-focus-on-map

Before the update-manager pops up, log into a "Guest Session". Wait about 10 seconds, then switch back. Enter your password at the greeting screen. Then you'll see a 'Enter the root password' type of box since update-manager needs root permissions. I hit cancel on that window. Finally, there will be an update-manager icon (the green A with a progress bar through it) in the list of program at the left, but it can't be clicked on to bring it up. It can be right-clicked to close it. Also, alt-tab shows it, but won't switch to it.

Potential pre-requisites: I'm running on a laptop with an external monitor. They are different resolutions. Also there is an update available to install. I'm running Ubuntu 14.04, but I've seen it on 12.04.

Interestingly enough, my "Guest Session" runs on tty F8, meaning that I can press Ctrl-Alt-F8 and see the guest session. When I press Ctrl-Alt-F7 I get my normal session.

I have no clue how to continue looking at this problem.

dess (de55) wrote :

Ubuntu 14.10 Utopic (clean install): Just got the window (classic way: updates became available), can keep it for while in case further testing needed.

The session was locked (login screen) when "update-manager" was spawned. Multiple workspaces enabled.

@3v1n0 , comment #24

Since "gdbus" command failed to give xid, I've got Windows Id's by the PID of the following process:

$ ps aux | grep update-manager
user 29081 0.0 0.8 631432 82812 ? SNl 07:45 0:08 /usr/bin/python3 /usr/bin/update-manager --no-update --no-focus-on-map

There are two of them, attaching output of "xprop" and "xwininfo" here.

shankao (shankao) wrote :

Quantal has reached EOL

Changed in binary-driver-fglrx (Ubuntu Quantal):
status: New → Invalid
Changed in intel-linux-graphics-installer (Ubuntu Quantal):
status: New → Invalid
Changed in xserver-xorg-video-nouveau (Ubuntu Quantal):
status: New → Invalid
Seán Ó Séaghdha (seanos) wrote :

I can’t even click on the “affects me too” link - it always comes back with a timeout. Doesn’t happen anywhere else on launchpad, only here. Even the bug report has bugs.

Didier Roche (didrocks) on 2015-02-06
description: updated
Rick (ricksdunn) wrote :

The command below reserrects the hidden "Software Updater" window when issued. It does not fix the underlying coding issues however it makes it possibly to continue the update process without killing/quitting - restarting the app.

sudo apt-get install wmctrl # if necessary
wmctrl -R 'Software Updater'

after issuing the command the window should appear and respond to its controls as normal.

Hope this help... I take no credit as this is a repeat from one of the posts higher up in this thread

Clay Spence (clayorama) wrote :

Here's another symptom, though it may well be unrelated. This bug affects my work computer, on which I have ubuntu 14.04 LTS, 64-bit. On that computer, when I use the workaround, i.e., quit software updater and start it, a window appears for it and I can use it to update. But the window can't be resized. The mouse pointer doesn't even change when I pass it over the window's border.

Yaro (yari-devel) wrote :

It's not only Software Updated. Unity on fresh 15.04 (amd64) doesn't see Oracle Fusion Middleware JDeveloper installer (java app) running. If you minimize all windows it's gone. Can be found with
wmctrl -l

For those that still see this issue, I'm tracking this under bug #989588. I think I have a fix and will propose a solution soon. Please follow that bug since this bug is already Fix Released.

experimancer (experimancer) wrote :

The bug is still as described above in Ubuntu 16.04 Xenial in Zbook-laptop with nvidia-4375 drivers in Unity 7.4.0.

experimancer (experimancer) wrote :

Might be related to this (the orig bug reappearing in Xenial/Unity 7.4.0): https://bugs.launchpad.net/update-notifier/+bug/1671540

david braun (braunster) wrote :

Tried the "Affects ... too" links and they all timeout.
Happens on 17.10

$ lsb_release -rd
Description: Ubuntu 17.10
Release: 17.10
$ unity --version
unity 7.5.0
$

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints